%define name		perl-IO-stringy
%define real_name	IO-stringy
%define version		2.108
%define release		7mdk

Summary:	Perl module for I/O on in-core objects like strings and arrays
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Requires:	perl
BuildRequires:	perl-devel
Buildroot:	%{_tmppath}/%{name}-root
URL:		http://www.cpan.org
Source:		ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/IO/%{real_name}-%{version}.tar.bz2
BuildArch:	noarch

%description
This toolkit primarily provides modules for performing both traditional
and object-oriented i/o) on things *other* than normal filehandles; in
particular, the IO::Scalar manpage, the IO::ScalarArray manpage, and the
IO::Lines manpage.

If you have access to tie(), these classes will make use of the the
IO::WrapTie manpage module to inherit a convenient new_tie()
constructor. It also exports a nice wraptie() function.

In the more-traditional IO::Handle front, we have the IO::AtomicFile
manpage which may be used to painlessly create files which are updated
atomically.

And in the "this-may-prove-useful" corner, we have the IO::Wrap manpage,
whose exported wraphandle() function will clothe anything that's not a
blessed object in an IO::Handle-like wrapper... so you can just use OO
syntax and stop worrying about whether your function's caller handed you
a string, a globref, or a FileHandle.


%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/* README* MANIFEST
%{_mandir}/*/*
%{perl_vendorlib}/IO

%changelog
* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.108-7mdk
- rebuild
- own dir

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.108-6mdk
- rebuild for new perl
- drop Prefix tag
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.108-5mdk
- rebuild for new auto{prov,req}

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 2.108-4mdk
- rebuild for perl 5.8.0

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 2.108-3mdk
- added url tag.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 2.108-2mdk
- BuildRequires: perl-devel

* Fri Aug 24 2001 Franois Pons <fpons@mandrakesoft.com> 2.108-1mdk
- 2.108.

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 1.220-1mdk
- 1.220.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.219-3mdk
- Rebuild against the latest perl.
- s|Copyright|License|;

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.219-2mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean spec a bit

* Tue Feb 27 2001 Franois Pons <fpons@mandrakesoft.com> 1.219-1mdk
- 1.219.

* Thu Oct 12 2000 Franois Pons <fpons@mandrakesoft.com> 1.216-1mdk
- 1.216.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 1.213-1mdk
- 1.213.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.212-2mdk
- macroszifications.
- added missing clean.
- add doc.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 1.212-1mdk
- added requires on perl.
- 1.212.

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.209-1mdk
- 1.209
- fixed group
- rebuild with new perl
- fixed location

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>

- first version of rpm.
